View Issue Details

IDProjectCategoryView StatusLast Update
0000757SymmetricDSImprovementpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000757: All tables are synchronized during a CREATE batch when initial.load.create.first is true resulting in a lot of table missing
DescriptionInstead of syncing all tables, we should just sync the tables that were just created or altered which would be quicker and get rid of all the warnings.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f30c7045

2012-08-11 10:00:20

chenson

Details Diff
0000757: All tables are synchronized during a CREATE batch when initial.load.create.first is true resulting in a lot of table missing
0000757
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: master d41c0261

2012-08-11 13:48:24

chenson

Details Diff
0000757: All tables are synchronized during a CREATE batch when initial.load.create.first is true resulting in a lot of table missing
0000757
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/h2/H2DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2012-08-08 08:48 chenson New Issue
2012-08-08 08:48 chenson Status new => assigned
2012-08-08 08:48 chenson Assigned To => chenson
2012-08-12 17:44 chenson Status assigned => resolved
2012-08-12 17:44 chenson Fixed in Version => 3.1.0
2012-08-12 17:44 chenson Resolution open => fixed
2012-08-14 07:57 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6174
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6175
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d41c0261
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f30c7045